%define section free
%define base_name turbine-jcs
%define jcs_version 1.0

Summary:        Java Caching System
Name:           jakarta-%{base_name}
Version:        %{jcs_version}
Release:        0.20031216dev.2jpp
Epoch:          0
License:        Apache Software License
URL:            http://jakarta.apache.org/turbine/jcs/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://cvs.apache.org/dist/jakarta/turbine/nightly/jakarta-turbine-jcs/jakarta-turbine-jcs-dev-20031216.tar.gz
Source1:        jakarta-turbine-jcs-dev-docs-20031216.tar.gz
Source2:        jakarta-turbine-jcs-build.xml
BuildRequires:  ant >= 0:1.5.4
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  jakarta-commons-configuration >= 0:1.0
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-lang >= 0:2.0
BuildRequires:  concurrent >= 0:1.3.2
BuildRequires:  hsqldb >= 0:1.71
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  servletapi3 >= 0:3.3.1
BuildRequires:  javagroups >= 0:2.0.6
BuildRequires:  jisp2 >= 0:2.5.1
#BuildRequires:  jisp3 >= 0:3.0.0
BuildRequires:  velocity >= 0:1.3.1
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  xmlrpc >= 0:1.2
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:  jakarta-commons-configuration >= 0:1.0
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jakarta-commons-lang >= 0:2.0
Requires:  concurrent >= 0:1.3.2
Requires:  hsqldb >= 0:1.71
Requires:  log4j >= 0:1.2.8
Requires:  servletapi3 >= 0:3.3.1
Requires:  javagroups >= 0:2.0.6
Requires:  jisp2 >= 0:2.5.1
#Requires:  jisp3 >= 0:3.0.0
Requires:  velocity >= 0:1.3.1
Requires:  xmlrpc >= 0:1.2
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis >= 0:1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JCS is a distributed caching system written in java 
for server-side java applications. It is intended to 
speed up dynamic web applications by providing a means 
to manage cached data of various dynamic natures. 
Like any caching system, the JCS is most useful for 
high read, low put applications. Dynamic content and 
reporting systems can benefit most. 
However, any site that repeatedly constructs pages, 
dropdowns, or common search results form a database 
that is updated at intervals (rather than across 
categories continuously) can improve performance and 
scalability by implementing caching. Latency times drop 
sharply and bottlenecks move away from the database in 
an effectively cached system. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description manual
Docs for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-dev-20031216
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
gzip -dc %{SOURCE1} | tar -xf -
cp %{SOURCE2} build.xml


# -----------------------------------------------------------------------------

%build
export CLASSPATH=$(build-classpath \
commons-configuration \
commons-logging \
commons-lang \
concurrent \
hsqldb \
log4j \
servletapi3 \
javagroups \
jisp2  \
velocity \
xmlrpc-1.2 \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=src/test-conf:target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/jcs-1.0-dev.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{version}.jar %{base_name}-%{version}.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{base_name}.jar
%{_javadir}/%{base_name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Wed Jan 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.20031216dev.2jpp
- set dependency to jisp2, instead of jisp

* Wed Jan 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.20031216dev.1jpp
- First JPackage release

